org.restlet.engine.util

## Class AlphabeticalComparator

- java.lang.Object
- - org.restlet.engine.util.AlphabeticalComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<Reference>

Direct Known Subclasses:
  AlphaNumericComparator

    public class AlphabeticalComparator
    extends java.lang.Object
    implements java.util.Comparator<Reference>, java.io.Serializable

Allows to sort the list of references set by the resource.

Author:
  Jerome Louvel
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AlphabeticalComparator()`

### Method Summary

Methods
`int` `compare(Reference ref0, Reference ref1)` Compares two references.
`int` `compare(java.lang.String str0, java.lang.String str1)` Compares two strings.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### AlphabeticalComparator

    public AlphabeticalComparator()

### Method Detail

#### compare

    public int compare(Reference ref0,
              Reference ref1)

Compares two references.

Specified by:
  `compare` in interface `java.util.Comparator<Reference>`
Parameters:
  `ref0` - The first reference.
  `ref1` - The second reference.
Returns:
  The comparison result.
See Also:
  `Comparator`

#### compare

    public int compare(java.lang.String str0,
              java.lang.String str1)

Compares two strings.

Parameters:
  `str0` - The first string.
  `str1` - The second string.
Returns:
  The comparison result.
See Also:
  `Comparator`